nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   General Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=27)
-   -   Removing a previous version (http://www.nvnews.net/vbulletin/showthread.php?t=65379)

mrob 02-23-06 09:02 PM

Removing a previous version
 
I'm attempting to install version 7676. I had a previous version already installed. All appeared to go well with the installation, but now X fails to start. Here's what I see in the output:

Code:

Error: API mismatch: the NVIDIA kernel module is version 1.0.7174, but
this X module is version 1.0.7676. Please be sure that your kernel
module and all NVIDIA driver files have the same driver version.
(EE) NVIDIA(0): Failed to initialize the NVIDIA kernel module! Please ensure
(EE) NVIDIA(0):      that there is a supported NVIDIA GPU in this system, and
(EE) NVIDIA(0):      that the NVIDIA device files have been created properly.
(EE) NVIDIA(0):      Please consult the NVIDIA README for details.
(EE) NVIDIA(0):  *** Aborting ***

So it appears that the kernel module is version 7174. Here's what I see from dmesg:

Code:

nvidia: module license 'NVIDIA' taints kernel.
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 209
NVRM: loading NVIDIA Linux x86 NVIDIA Kernel Module  1.0-7174  Tue Mar 22 06:44:39 PST 2005

...

NVRM: loading NVIDIA Linux x86 NVIDIA Kernel Module  1.0-7676  Fri Jul 29 12:58:54 PDT 2005
ACPI: PCI Interrupt 0000:01:00.0[A] -> GSI 16 (level, low) -> IRQ 209
NVRM: loading NVIDIA Linux x86 NVIDIA Kernel Module  1.0-7174  Tue Mar 22 06:44:39 PST 2005
NVRM: RM/client version mismatch!!
NVRM:    aborting to avoid catastrophe!
NVRM: RM/client version mismatch!!
NVRM:    aborting to avoid catastrophe!
NVRM: RM/client version mismatch!!
NVRM:    aborting to avoid catastrophe!
NVRM: RM/client version mismatch!!
NVRM:    aborting to avoid catastrophe!

Somehow, both versions exist and the kernel is trying to load both. I'm kind of new at this...how do I get rid of the first module?

Thanks,
Mike

netllama 02-23-06 10:30 PM

Re: Removing a previous version
 
Where did you obtain 1.0-7174? If it was not from the official NVIDIA driver package from NVIDIA's website, you must remove that version via your Linux distribution's package management tool.

Please generate and post a bug report if you need further assistance.

Thanks,
Lonni

mrob 02-24-06 07:23 PM

Re: Removing a previous version
 
Ah, I forgot that the previous one was installed though apt-get. All is well.

Thanks for the reply,
Mike


All times are GMT -5. The time now is 09:40 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.